| Flutter Linux Embedder |

Public Attributes | List of all members
FlTextInputChannelVTable Struct Reference

`#include <fl_text_input_channel.h>`

## Public Attributes
void(* | set_client )(int64_t client_id, const gchar *input_action, gboolean enable_delta_model, FlTextInputType input_type, gpointer user_data)
void(* | hide )(gpointer user_data)
void(* | show )(gpointer user_data)
void(* | set_editing_state )(const gchar *text, int64_t selection_base, int64_t selection_extent, int64_t composing_base, int64_t composing_extent, gpointer user_data)
void(* | clear_client )(gpointer user_data)
void(* | set_editable_size_and_transform )(double *transform, gpointer user_data)
void(* | set_marked_text_rect )(double x, double y, double width, double height, gpointer user_data)

## Detailed Description

FlTextInputChannel:

#FlTextInputChannel is a channel that implements the shell side of SystemChannels.textInput from the Flutter services library.

Definition at line 40 of file fl_text_input_channel.h.

## Member Data Documentation

## ◆ clear_client

void(* FlTextInputChannelVTable::clear_client) (gpointer user_data)

Definition at line 54 of file fl_text_input_channel.h.

## ◆ hide

void(* FlTextInputChannelVTable::hide) (gpointer user_data)

Definition at line 46 of file fl_text_input_channel.h.

## ◆ set_client

void(* FlTextInputChannelVTable::set_client) (int64_t client_id, const gchar *input_action, gboolean enable_delta_model, FlTextInputType input_type, gpointer user_data)

Definition at line 41 of file fl_text_input_channel.h.

## ◆ set_editable_size_and_transform

void(* FlTextInputChannelVTable::set_editable_size_and_transform) (double *transform, gpointer user_data)

Definition at line 55 of file fl_text_input_channel.h.

## ◆ set_editing_state

void(* FlTextInputChannelVTable::set_editing_state) (const gchar *text, int64_t selection_base, int64_t selection_extent, int64_t composing_base, int64_t composing_extent, gpointer user_data)

Definition at line 48 of file fl_text_input_channel.h.

## ◆ set_marked_text_rect

void(* FlTextInputChannelVTable::set_marked_text_rect) (double x, double y, double width, double height, gpointer user_data)

Definition at line 57 of file fl_text_input_channel.h.

## ◆ show

void(* FlTextInputChannelVTable::show) (gpointer user_data)

Definition at line 47 of file fl_text_input_channel.h.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_text_input_channel.h